Package org.eclipse.jface.text.hyperlink

# Interface IHyperlinkPresenterExtension2

All Known Implementing Classes:
  `MultipleHyperlinkPresenter`

public interface IHyperlinkPresenterExtension2
Extends `IHyperlinkPresenter` with ability to distinguish between the modes in which the control either takes focus or not when visible.

Clients may implement this interface.

Since:
  3.7

## Method Summary

Modifier and Type
Method
Description
`void`
`showHyperlinks(IHyperlink[] activeHyperlinks, boolean takesFocusWhenVisible)`
Tells this hyperlink presenter to show the given hyperlinks on the installed text viewer and specifies whether or not the control takes focus when visible.

## Method Details

### showHyperlinks

void showHyperlinks(IHyperlink[] activeHyperlinks, boolean takesFocusWhenVisible)
Tells this hyperlink presenter to show the given hyperlinks on the installed text viewer and specifies whether or not the control takes focus when visible.

Parameters:
  `activeHyperlinks` - the hyperlinks to show
  `takesFocusWhenVisible` - `true` if the control takes the focus when visible, `false` otherwise. Will be ignored if there is only one hyperlink to show.